GNU bug report logs - #60777
29.0.60; tramp+eglot don't work if remote user is not local user

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pedro Andres Aranda Gutierrez <paaguti@HIDDEN>; Keywords: notabug; Done: Michael Albinus <michael.albinus@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) notabug. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 60777-done <at> debbugs.gnu.org:


Received: (at 60777-done) by debbugs.gnu.org; 2 Feb 2023 08:58:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 03:58:50 2023
Received: from localhost ([127.0.0.1]:60788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNVQf-0004X1-Ud
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2023 03:58:50 -0500
Received: from mout.gmx.net ([212.227.17.21]:35679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pNVQe-0004Wo-9l
 for 60777-done <at> debbugs.gnu.org; Thu, 02 Feb 2023 03:58:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675328322; bh=J+OxSraxaK+DjR909xj4aNoLxi4OrJwNURogVGuTfWY=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=LnY8Wf5QeNpTH/WG5vuw9r5yMxcap3yqlB/F/AkRBOp8lqNVv5wF+TvQ/ljYM6fd+
 +JN02TvOlLSsqGZJq+clcVuEvNihXPGQthkhAZSigwi7i8TVJv2S7qBrbBsY+ehV5C
 SOwbQkA/X4328TlPgO386iUP3MZru3K2tMFL2LB2Lb40Lb3BIC2OUx7SZsKSIel6Ci
 2PJM66XNBU9XtRHFTkpCaoXIBUC1F7Ez0rS/C1uLS+bhx9DatYqQPju9sZkyAEyd+5
 noUY1TAVAgl3F/PHRyoA5Ea5M/khafLtdk3Ik41MqaKZ/8QbEEwFVjKKgqbIpYCHhp
 udlL5MLB+jywg==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mof57-1oqJHn0sSP-00p3Ek; Thu, 02
 Feb 2023 09:58:42 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Pedro Andres Aranda Gutierrez <paaguti@HIDDEN>
Subject: Re: bug#60777: 29.0.60; tramp+eglot don't work if remote user is
 not local user
In-Reply-To: <CAO48Bk957f5HUn0dfG-8n+NKadSbYYS5we7W8QZwNBr8N_Yf-A@HIDDEN>
 (Pedro Andres Aranda Gutierrez's message of "Sun, 15 Jan 2023 08:21:44
 +0100")
References: <CAO48Bk-ZZ0NAyc+zqo1NL+Br77CToOAuTTOicCq6k_Y+c9UH-Q@HIDDEN>
 <87cz7id4in.fsf@HIDDEN>
 <CAO48Bk957f5HUn0dfG-8n+NKadSbYYS5we7W8QZwNBr8N_Yf-A@HIDDEN>
Date: Thu, 02 Feb 2023 09:58:41 +0100
Message-ID: <871qn8e94u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:nORpA5M7NigsZ7Brubl+jwUca/BCgh3rSVPvV6KRwXMFRb7Ubci
 1O7g8hO8lY/CRzXAoi9o8IOiLQoY1JHWLz99pyDfkU+NuGnibwgjgUuc8aq7dOrubA5gp5G
 HWEWPRDQlKQyZcJzkEDky//jl+YFbs6CD0yU84JDqHaYD/24m5WfZ/CjmubaElOPbFEKQO0
 pKFI2Vbwcab6QKS2jjYCw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:eOUifuQjkyM=;9IqWt/cYoVJ5qG44Ac/cgYlyNxv
 4ONo/64Uap0OUDhdCQ7su+KRjFgjJQ/9DFGamlvLYKFV+7ZOPYB5l/79OOuwqB1oI5SdPRvyq
 h5TewkF70zg2FdWemJ7pD4/Xh2iwIRgWtvPKRO20YTBjLzyaWCJ7WmXCF+udwbW+nY1rTQSN3
 YsRelHehlg7aWL2AuDSw3XvNWdg7fyCwjGSfg2WG02YTbZgUi8lJ2dLiVHZbeZKnzdHzGaTyJ
 EbmVOZg+4Dt5EVXEzuNNIOENrewpF8tUgus8EHZfoP7XfTkrZ0xx7hftIYwaFSFca5PFzosRa
 ccmJOholLX4H5mCX0QbrzOs+C9QMp2uTs5RGzU9/eVk0LkUCxIr8/Zie8ET0ZEWhlS6SjXlvm
 5qoNFWkEbMk2az5swZL+Oohf8QRRHXmQIIQX4pLOlQx8OakR3quU4JqsjMmVU4uZmgQ1QjKk0
 gIFhwqzyAfXE0cRvETtNsc1Zip54uAZ6cwBLxa0unHoCCXj79/IhJrXEyavdFH+HWB5zlbycN
 64ak0T1RQvb61th4Vmcsxkx5QtOObnEm6ZH1QmVeSXruT+R/W/tMArpTsNM7RYMy6Tjnz5iYC
 R/GxZHCdFuJBJnY70fX/a7rTX2n5aMsoTfmQ9OLZ7Q2uvXSduKcqhExE4FcLFlxzaXKWKKc2G
 cRD+qhk4CG2/ZtZc4A9CvIK32Gq0F1sY5x+KbEmJqRZawd+s+dbJRVuIOK5R93hHb0j4bfSwN
 rO/ad6gnGUvHF2vkSjCykH1zCxNawIitpb4MsjUGaHA8n15/LCwVPHfUsgbY/CyGqlchUIZ4z
 RSbHqZtxVjJclpv2gU4N7MOAUPg2B+pDhvXkJ9tz7XVgWd2oXoc6Xr2vJFL9GQhjOib2/FLMb
 hhLztkZp0eBqqpngeKV8WNmvdHYxoJ7MjqdRk2WAoGLm3XD19SqMD/AigNJzVeGRh7lQwaIFW
 TyyDNA==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Pedro Andres Aranda Gutierrez writes: > Close this. > > It
 doesn't happen on GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, > GTK+
 Version 3.24.33, cairo version 1.16.0) of 2023-01-14 anymore. Closed. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.21 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.21 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 60777-done
Cc: 60777-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Pedro Andres Aranda Gutierrez writes: > Close this. > > It
    doesn't happen on GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, > GTK+
    Version 3.24.33, cairo version 1.16.0) of 2023-01-14 anymore. Closed. 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.21 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.21 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Pedro Andres Aranda Gutierrez <paaguti@HIDDEN> writes:

> Close this.
>
> It doesn't happen on GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu,
> GTK+ Version 3.24.33, cairo version 1.16.0) of 2023-01-14 anymore.

Closed.

> I'll keep the recipe ready for future problems and report including
> the output directly.
>
> Thanks, /PA

Best regards, Michael.




Notification sent to Pedro Andres Aranda Gutierrez <paaguti@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Michael Albinus <michael.albinus@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 60777 <at> debbugs.gnu.org:


Received: (at 60777) by debbugs.gnu.org; 15 Jan 2023 07:22:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 15 02:22:22 2023
Received: from localhost ([127.0.0.1]:56047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGxLR-0000Vq-Lk
	for submit <at> debbugs.gnu.org; Sun, 15 Jan 2023 02:22:22 -0500
Received: from mail-ed1-f48.google.com ([209.85.208.48]:46737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paaguti@HIDDEN>) id 1pGxLM-0000Vb-SR
 for 60777 <at> debbugs.gnu.org; Sun, 15 Jan 2023 02:22:20 -0500
Received: by mail-ed1-f48.google.com with SMTP id x36so2084625ede.13
 for <60777 <at> debbugs.gnu.org>; Sat, 14 Jan 2023 23:22:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=hEwjXCmC6D6rhAfJsUZdEI8SWO2QMiPzMc7kdhYJNPk=;
 b=Nz7faf4tR3R8HxYol4oxsUpwUxMGiJ7cjEF9qJoh7Fo7znog52BEj19IF8NL6rxx+v
 foh2jtnPYlqKuLU4luAgkp8eeURMFRoo9GEDbjUX44zZ525HDj5N2NS2TtMnO5ZYZlaw
 hrlP2tALkQf077hybAjHNxw+iopYfDRXTUh1UIXjmpXJyD8nfkn1ysoz6ttT39xpLwbR
 BL3od7wXkwoFw6h+enA+NFd+EZwjYvfPjFdowP2PDM9wcZOBKqtWOujgyotjnkP1gaJv
 J9niyL6vNJgD1RN7ooCui1Xp7ipVPLckSv0RJP9bGBy+H7bkf3pm31tzm+mbJnC9xcYW
 GTtw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=hEwjXCmC6D6rhAfJsUZdEI8SWO2QMiPzMc7kdhYJNPk=;
 b=S0OUyTqdemXy428ZluCGaRWKowLzPjeUDk/NJ4AcHrNbN4a15vuSLhxcLYAJES9n6g
 Oxoy5oqKwFIv+El7Yl7NF5we/kg+dnE0oS+uYaZQj+x4rdGHfH8hxlVy20m4qZfCWBBw
 5Njfpz+VPmAf2IlV/SS1U3j3LOKHDtCQrRnsWtuNTRKRbWK0+v394yF6rhOzo7HPyupi
 pg4gfz6C59nZlpkt21T1hirlTIdcd1TuFWyRBbx0ht6gQj7i/axfKyls25A0SJiOlbC7
 3385K/Wg3+76JXaYwCHTOXljSV3iqkjysc0N6qB9ZohkCg0EKX5hSfZyLtX9vYwqkTMg
 G/xw==
X-Gm-Message-State: AFqh2krmXlWBoqEN4Ph1E2BAfvVY8bRUXhpGivqlkaolzLV18H6cFgwB
 j7Z1cQr/2oXLLenCE+PH74dguQGNqfUJ7F06sxY=
X-Google-Smtp-Source: AMrXdXv96dCfu+R1NgDl37F+H730wCAcjTnbAb9PKMUXBNFW3+BOSHaIKX+zwlGHVUOs2YPr8lI1smK5DhowEr3VEko=
X-Received: by 2002:a05:6402:349:b0:49c:d010:4a9 with SMTP id
 r9-20020a056402034900b0049cd01004a9mr639089edw.196.1673767330873; Sat, 14 Jan
 2023 23:22:10 -0800 (PST)
MIME-Version: 1.0
References: <CAO48Bk-ZZ0NAyc+zqo1NL+Br77CToOAuTTOicCq6k_Y+c9UH-Q@HIDDEN>
 <87cz7id4in.fsf@HIDDEN>
In-Reply-To: <87cz7id4in.fsf@HIDDEN>
From: Pedro Andres Aranda Gutierrez <paaguti@HIDDEN>
Date: Sun, 15 Jan 2023 08:21:44 +0100
Message-ID: <CAO48Bk957f5HUn0dfG-8n+NKadSbYYS5we7W8QZwNBr8N_Yf-A@HIDDEN>
Subject: Re: bug#60777: 29.0.60; tramp+eglot don't work if remote user is not
 local user
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000031854405f2485358"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60777
Cc: 60777 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000031854405f2485358
Content-Type: text/plain; charset="UTF-8"

Close this.

It doesn't happen on GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, GTK+
Version 3.24.33, cairo version 1.16.0) of 2023-01-14 anymore.

I'll keep the recipe ready for future problems and report including the
output directly.

Thanks, /PA



On Fri, 13 Jan 2023 at 13:04, Michael Albinus <michael.albinus@HIDDEN>
wrote:

> Pedro Andres Aranda Gutierrez <paaguti@HIDDEN> writes:
>
> Hi Pedro,
>
> > (use-package tramp
> >   :config
> >   ;;
> >   ;; For VMs with the student user and for my private VMs
> >   ;;
> >   (add-to-list 'tramp-remote-path "/home/paag/.local/bin")
> >   (add-to-list 'tramp-remote-path "/home/student/.local/bin"))
>
> Could you pls add (setq tramp-verbose 6) to this config?
>
> > When I edit Python code locally or on the 'paag' user in the VM
> > everything works correctly. However, when I try to edit remotely
> > on the 'student' user, I get the following error:
> >
> > Tramp: Checking 'vc-registered' for
> > /ssh:student@localhost#10042:/home/student/Devel/test1.py...done
> > Configuring eglot
> > Tramp: Opening connection *EGLOT (Devel/(python-mode)) stderr* for
> > student@localhost using ssh...done
> > Tramp: Opening connection EGLOT (Devel/(python-mode)) for
> > student@localhost using ssh...done
> > [jsonrpc] Server exited with status 127
> > Error in post-command-hook (#[0
> > "\303\304\300\242\305#\210\306\301!\205 \0r\301q\210
> > ?\205 \0\307\310\311 \")\207" [(#0) #<buffer test1.py>
> > eglot--managed-mode remove-hook post-command-hook nil buffer-live-p
> > apply eglot--connect eglot--guess-contact] 4]): (error "[eglot] -1:
> > Server died")
>
> Rerun the test.
>
> With this config, there shall also be a Tramp debug buffer
> *debug tramp/ssh student@localhost#10042* Pls send it as attachment.
>
> Best regards, Michael.
>


-- 
Fragen sind nicht da um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet

--00000000000031854405f2485358
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">Close this.=C2=A0</div><div dir=3D"ltr"><=
br></div><div dir=3D"ltr">It doesn&#39;t happen on GNU Emacs 29.0.60 (build=
 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.16.0) of 202=
3-01-14 anymore.<div><br></div><div>I&#39;ll keep the recipe ready for futu=
re problems and report including the output directly.</div><div><br></div><=
div>Thanks, /PA</div><div><br></div><div><br></div></div></div><br><div cla=
ss=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Fri, 13 Jan 202=
3 at 13:04, Michael Albinus &lt;<a href=3D"mailto:michael.albinus@HIDDEN">m=
ichael.albinus@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_qu=
ote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,20=
4);padding-left:1ex">Pedro Andres Aranda Gutierrez &lt;<a href=3D"mailto:pa=
aguti@HIDDEN" target=3D"_blank">paaguti@HIDDEN</a>&gt; writes:<br>
<br>
Hi Pedro,<br>
<br>
&gt; (use-package tramp<br>
&gt;=C2=A0 =C2=A0:config<br>
&gt;=C2=A0 =C2=A0;;<br>
&gt;=C2=A0 =C2=A0;; For VMs with the student user and for my private VMs<br=
>
&gt;=C2=A0 =C2=A0;;<br>
&gt;=C2=A0 =C2=A0(add-to-list &#39;tramp-remote-path &quot;/home/paag/.loca=
l/bin&quot;)<br>
&gt;=C2=A0 =C2=A0(add-to-list &#39;tramp-remote-path &quot;/home/student/.l=
ocal/bin&quot;))<br>
<br>
Could you pls add (setq tramp-verbose 6) to this config?<br>
<br>
&gt; When I edit Python code locally or on the &#39;paag&#39; user in the V=
M<br>
&gt; everything works correctly. However, when I try to edit remotely<br>
&gt; on the &#39;student&#39; user, I get the following error:<br>
&gt;<br>
&gt; Tramp: Checking &#39;vc-registered&#39; for<br>
&gt; /ssh:student@localhost#10042:/home/student/Devel/test1.py...done<br>
&gt; Configuring eglot<br>
&gt; Tramp: Opening connection *EGLOT (Devel/(python-mode)) stderr* for<br>
&gt; student@localhost using ssh...done<br>
&gt; Tramp: Opening connection EGLOT (Devel/(python-mode)) for<br>
&gt; student@localhost using ssh...done<br>
&gt; [jsonrpc] Server exited with status 127<br>
&gt; Error in post-command-hook (#[0<br>
&gt; &quot;\303\304\300\242\305#\210\306\301!\205 \0r\301q\210<br>
&gt; ?\205 \0\307\310\311 \&quot;)\207&quot; [(#0) #&lt;buffer test1.py&gt;=
<br>
&gt; eglot--managed-mode remove-hook post-command-hook nil buffer-live-p<br=
>
&gt; apply eglot--connect eglot--guess-contact] 4]): (error &quot;[eglot] -=
1:<br>
&gt; Server died&quot;)<br>
<br>
Rerun the test.<br>
<br>
With this config, there shall also be a Tramp debug buffer<br>
*debug tramp/ssh student@localhost#10042* Pls send it as attachment.<br>
<br>
Best regards, Michael.<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div><div dir=3D"ltr"><div><div=
>Fragen sind nicht da um beantwortet zu werden,<br></div>Fragen sind da um =
gestellt zu werden<br></div>Georg Kreisler</div><div><br></div><div>Headach=
es with a Juju log:</div><div>unit-basic-16: 09:17:36 WARNING juju.worker.u=
niter.operation we should run a leader-deposed hook here, but we can&#39;t =
yet<br><br></div></div></div></div>

--00000000000031854405f2485358--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60777; Package emacs. Full text available.

Message received at 60777 <at> debbugs.gnu.org:


Received: (at 60777) by debbugs.gnu.org; 13 Jan 2023 12:05:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 13 07:05:00 2023
Received: from localhost ([127.0.0.1]:49776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGIns-00015O-1L
	for submit <at> debbugs.gnu.org; Fri, 13 Jan 2023 07:05:00 -0500
Received: from mout.gmx.net ([212.227.15.19]:51651)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pGInq-000159-1X
 for 60777 <at> debbugs.gnu.org; Fri, 13 Jan 2023 07:04:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1673611491; bh=SzQETBfHZdMzNg4WXrAqaVSR3jhLJRM4/wpjp/0tQZk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=okkSNgEZfkvWEvX7gGJT9YrNH7FP38cjjMvklZvxNS/Y9xc6f607JIIW4wJRl9j4P
 QVi3toZsA39wFKtS91S2VOBO923chNqwAUQA0WuRr0hc1eivSUjoz52qZE/qF+PIBD
 UYQ5rOEtPXAXh6Nc2Z+K6Z9e6rIP1ps9Cfj4KQz3kq5JiNjmKztWCUeFIHJ6MKjBIs
 Om/861ybXt+hG6iU+TqrQrj9tuPFV6LYry5FDMhW2zXBODoE7zD3xdm8nP7iUpPQ2i
 QVEVvOY8y4WMX5qDr93xXjVr5/jBRhCm15bKPUyKzGwne0FTKXFD+d60PXbSKqij3C
 a0EG6o8TJD4wQ==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N3KPg-1oYxXd2Spe-010M5O; Fri, 13
 Jan 2023 13:04:51 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Pedro Andres Aranda Gutierrez <paaguti@HIDDEN>
Subject: Re: bug#60777: 29.0.60; tramp+eglot don't work if remote user is
 not local user
In-Reply-To: <CAO48Bk-ZZ0NAyc+zqo1NL+Br77CToOAuTTOicCq6k_Y+c9UH-Q@HIDDEN>
 (Pedro Andres Aranda Gutierrez's message of "Fri, 13 Jan 2023 10:28:02
 +0100")
References: <CAO48Bk-ZZ0NAyc+zqo1NL+Br77CToOAuTTOicCq6k_Y+c9UH-Q@HIDDEN>
Date: Fri, 13 Jan 2023 13:04:48 +0100
Message-ID: <87cz7id4in.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:jIK8epzBImZ4BspDh85A2ipUI3FNVeW8A8rVPTMkrK8gnpk9rgI
 Gq1CrAnAj90uiSPGM6rPam/8iEIyiMS5e3j86t3TCkvvLi5x+VrbPaXEn5VS9e5EVc/I+xG
 R3h+qLdLnJ3cv9EbyWaV3PKrHhmh0Nay4E+L/+HwBMBUeTtMIg1aq2BcgzTKoBqr4GSURMD
 YhHrPXdjtsPuKbNH+WWAA==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:hTC1XUtcMyE=;0SsjF8V9fCC68PZs7pkBrjsIzWG
 lVbJppHzPdsbVOCTq37AVWsx+NXdaVRQJpJ9IBlAnPJNPRnAjLTf70coNnUX/o3I5zbXxd89u
 tdApd6oOYp3UvbHIOQNEM7oIhyALcOTykXIMPUHvLWXwJIZNiKxuNCF4BH9kmFeNea+yW+4bn
 WoEe+T8vKIao91c7cZStIEO8P2sRQMo8ryl/RnISVoxxzgLxegUVFyRQ8oeLo3jmHGlW9UGoB
 pQY+xnSLMvclcvnCVHrBcmnlE0GBxW0wNE5JbmkvX55IwK8AWpGcUL9ON5/FVBX1doakfzKsz
 mjJ32GXPipGaZLakRpwIQ/uCpRX6EMmnOvu9obDTVDdyNFc5/YEGevwJqZxGxngEygovkD8eg
 6PMF/rPtJ4yFpUIyeAXI36rzX6iLqOGTFGldPok8DmsibH/754jWdAGi6ckzsfQ79ByKvJuSL
 p9gYvyRSOqCQ5XJYUOowl0RjbHcaZM62DwYJJK9AXOSRnDe6twC7UfvgkNAXq3I4b68pM27yI
 4aZ7CyKYjYqKFIs6pj245ThZL6mYZZgaK+Q6xeBi/sQ2n9XCKoLbtPGPX1lS/zkxQ35q3Pbqa
 emHKNzXccNiBhXyG2s5ebr8OOQncpcwbrF0MGXjhRvLwcgGm/ge3Cm+thhhCe5yKybJHKOcrC
 U5iGc9r+1oNtvgnsIHui1uevPNtRrZ5yLDb8Ax8LcOgd1wUAD2X799AISPssmqPUIP2c4h/su
 dz1fgJI6aSqkuEny8mzTCQ3N8n6tsSoY8WYPdTznw7XJnTXzzV3zaKiARNquPlYhcbWJyQ4AP
 G+6G4ooB6LBZz8be7XGjKte4uTR1OGYOI5w0koBJ7XFBUn1mJKsTK3A9lbdMIhG6kbuaw+qFi
 OjE6rW66Vswj1/mbYkTiwqRJvFGDO8fGNZC41Ub5zQkI8pFScDa1hIeCLRyhPwvyN97TB74fv
 06xzsw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60777
Cc: 60777 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Pedro Andres Aranda Gutierrez <paaguti@HIDDEN> writes:

Hi Pedro,

> (use-package tramp
>   :config
>   ;;
>   ;; For VMs with the student user and for my private VMs
>   ;;
>   (add-to-list 'tramp-remote-path "/home/paag/.local/bin")
>   (add-to-list 'tramp-remote-path "/home/student/.local/bin"))

Could you pls add (setq tramp-verbose 6) to this config?

> When I edit Python code locally or on the 'paag' user in the VM
> everything works correctly. However, when I try to edit remotely
> on the 'student' user, I get the following error:
>
> Tramp: Checking 'vc-registered' for
> /ssh:student@localhost#10042:/home/student/Devel/test1.py...done
> Configuring eglot
> Tramp: Opening connection *EGLOT (Devel/(python-mode)) stderr* for
> student@localhost using ssh...done
> Tramp: Opening connection EGLOT (Devel/(python-mode)) for
> student@localhost using ssh...done
> [jsonrpc] Server exited with status 127
> Error in post-command-hook (#[0
> "\303\304\300\242\305#\210\306\301!\205 \0r\301q\210
> ?\205 \0\307\310\311 \")\207" [(#0) #<buffer test1.py>
> eglot--managed-mode remove-hook post-command-hook nil buffer-live-p
> apply eglot--connect eglot--guess-contact] 4]): (error "[eglot] -1:
> Server died")

Rerun the test.

With this config, there shall also be a Tramp debug buffer
*debug tramp/ssh student@localhost#10042* Pls send it as attachment.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60777; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2023 09:28:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 13 04:28:45 2023
Received: from localhost ([127.0.0.1]:49587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGGMd-0005Hh-JD
	for submit <at> debbugs.gnu.org; Fri, 13 Jan 2023 04:28:45 -0500
Received: from lists.gnu.org ([209.51.188.17]:55530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paaguti@HIDDEN>) id 1pGGMa-0005HW-2g
 for submit <at> debbugs.gnu.org; Fri, 13 Jan 2023 04:28:42 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paaguti@HIDDEN>) id 1pGGMX-0000jj-86
 for bug-gnu-emacs@HIDDEN; Fri, 13 Jan 2023 04:28:38 -0500
Received: from mail-ej1-x62c.google.com ([2a00:1450:4864:20::62c])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <paaguti@HIDDEN>) id 1pGGMS-00055S-NR
 for bug-gnu-emacs@HIDDEN; Fri, 13 Jan 2023 04:28:36 -0500
Received: by mail-ej1-x62c.google.com with SMTP id az20so31841527ejc.1
 for <bug-gnu-emacs@HIDDEN>; Fri, 13 Jan 2023 01:28:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=D8Ak7Scsh7kCrMv63NtvOd5HpbF5GGaxcqLrqTNQQfQ=;
 b=lZd4CoityTMY5SzjhehWlwyxuNAK0+vxn3YSkfU6BvtYl1yPVCrefGcNkran4Far0a
 rclkvfd0hsJa+uyg++Whv+3AyOp4gOZ9hdGpVATDZmWntfem3YKjMO2uceylPhMEENjg
 yN5edcaVc7z1acV9zRksQje4TFsC8COsKJ37EUsZbpWM7hIUrlaQ4cLYPaTKHhVnv2hb
 HcsrZuUQj+rMLGMi5UsvBDLjRho8gfLU4atnWAfq+YmLbeSu1GpmlvJ5Q4suxQBj5ujQ
 pwq/Ub501mnt5jKcyRruo//atsZieZ4YDpFE6aOOkvHQmFhWCVCe9ZK64iCl9lzuuv/z
 iNpw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=D8Ak7Scsh7kCrMv63NtvOd5HpbF5GGaxcqLrqTNQQfQ=;
 b=22eq+uLGx/wD2nSKmdKdHoy4TCHf1d8og6Fgbc+AWsr51Vu6Qs3xoLmdrramkiGVHt
 gxcPXAGYVLypAFu5xYHta6Cuq8J8OqeC0+NDOmuI8266r1h9W8foA6EMfmdBNQmAp0Da
 U8AbEn059fhggdoPtQ84BNOnIVgfBgYBqdt5yUb2QPxg1DPGZmBLjj9HtJuaIzpxq1HP
 5E0hn5TFK5smO7D7smiU6c8twt7AWv4wEofn3R48+UJsUulrKWo29dCZp4H0IkGH2apb
 aoU1y15WZj2rPHCptjExCXhkvAk+CW7HPVn+edmDxjuVn3xmCqMffLwUQxz7JegFh+Fb
 zeWg==
X-Gm-Message-State: AFqh2koIoi9Mdt5mv+KzoVww3U31IYsXyznPjkxm5ACaQV2p8QVXUyzZ
 rgV6QPkMvfgFJEg1Hb5eWR1JXHBKx0pmoBSqIP+uiKcnCXqRsQ==
X-Google-Smtp-Source: AMrXdXt4v7p9pOBiEDNPxpv3W/hvY0ueePenMRj4W0o4BWhjhcSoz0tQUFuK2d1YO1LqQU2HgzwSY/n+Afb69WCWxuE=
X-Received: by 2002:a17:907:8b16:b0:818:3f54:9aa2 with SMTP id
 sz22-20020a1709078b1600b008183f549aa2mr7984079ejc.136.1673602108689; Fri, 13
 Jan 2023 01:28:28 -0800 (PST)
MIME-Version: 1.0
From: Pedro Andres Aranda Gutierrez <paaguti@HIDDEN>
Date: Fri, 13 Jan 2023 10:28:02 +0100
Message-ID: <CAO48Bk-ZZ0NAyc+zqo1NL+Br77CToOAuTTOicCq6k_Y+c9UH-Q@HIDDEN>
Subject: 29.0.60; tramp+eglot don't work if remote user is not local user
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000002f127d05f221db45"
Received-SPF: pass client-ip=2a00:1450:4864:20::62c;
 envelope-from=paaguti@HIDDEN; helo=mail-ej1-x62c.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000002f127d05f221db45
Content-Type: text/plain; charset="UTF-8"

I have a development VM with users 'paag' and 'student' which I access with
port translation. Both users on the guest have pip and python-lsp-server
installed and in the PATH.
The setup is the same as for my Python development environment on my host.
The user in the host is 'paag'. OS in host and guest is Ubuntu 22.04LTS

I use following configuration for tramp:
```
(use-package tramp
  :config
  ;;
  ;; For VMs with the student user and for my private VMs
  ;;
  (add-to-list 'tramp-remote-path "/home/paag/.local/bin")
  (add-to-list 'tramp-remote-path "/home/student/.local/bin"))
```
And the following for eglot:
```
(defun my/eglot-mode-hook ()
  (interactive)
  (message "adding yasnippets to eglot for %s" major-mode)
  (add-to-list (make-local-variable 'company-backends)
             '(company-files
             company-keywords
             company-capf :with company-yasnippet)))

(use-package eglot
  :bind (:map eglot-mode-map
      ("C-c <tab>" . company-complete)
      ("C-c e r"   . eglot-rename))
  :hook ((eglot-managed-mode . my/eglot-mode-hook)
         ((go-mode python-mode) . eglot-ensure))
  :config
  (message "Configuring eglot")
  (setq eglot-server-programs '(((python-mode) . ("pylsp"))
                                (go-mode . ("gopls")))))

```
When I edit Python code locally or on the 'paag' user in the VM
everything works correctly. However, when I try to edit remotely
on the 'student' user, I get the following error:
```
Tramp: Opening connection nil for student@localhost using ssh...done
Tramp: Inserting '/ssh:student@localhost
#10042:/home/student/Devel/test1.py'...done
Can't guess python-indent-offset, using defaults: 4
Configuring eglot

Tramp: Checking 'vc-registered' for /ssh:student@localhost
#10042:/home/student/Devel/test1.py...done
Configuring eglot
Tramp: Opening connection *EGLOT (Devel/(python-mode)) stderr* for
student@localhost using ssh...done
Tramp: Opening connection EGLOT (Devel/(python-mode)) for student@localhost
using ssh...done
[jsonrpc] Server exited with status 127
Error in post-command-hook (#[0 "\303\304\300\242\305#\210\306\301!\205
\0r\301q\210
?\205 \0\307\310\311 \")\207" [(#0) #<buffer test1.py> eglot--managed-mode
remove-hook post-command-hook nil buffer-live-p apply eglot--connect
eglot--guess-contact] 4]): (error "[eglot] -1: Server died")
Mark set

```


In GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.33, cairo version 1.16.0) of 2023-01-09 built on 5d0ebd8eaece
Repository revision: bdbb7099784eb79ef9b94bb85f0c3dc9dae82d6c
Repository branch: emacs-29
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Ubuntu 22.04.1 LTS

Configured using:
 'configure --prefix=/usr --program-suffix=29 --with-json --with-x
 --with-x-toolkit=gtk3 --with-cairo --with-compress-install
 --with-modules=yes --with-threads --with-included-regex --with-zlib
 --without-tree-sitter --with-native-compilation 'CFLAGS=-g -O2
 -ffile-prefix-map=/home/paag/emacs=. -flto=auto -ffat-lto-objects
 -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat
 -Werror=format-security' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2'
 'LDFLAGS=-Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects
 -flto=auto -Wl,-z,relro''

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LIBSELINUX LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG
SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XINPUT2 XPM
GTK3 ZLIB

Important settings:
  value of $LC_MONETARY: es_ES.UTF-8
  value of $LC_NUMERIC: es_ES.UTF-8
  value of $LC_TIME: es_ES.UTF-8
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8

Major mode: ELisp/d

Minor modes in effect:
  display-line-numbers-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  global-company-mode: t
  company-mode: t
  global-tab-line-mode: t
  tab-line-mode: t
  electric-pair-mode: t
  shell-dirtrack-mode: t
  server-mode: t
  override-global-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/paag/.emacs.d/elpa/cmake-mode-20221130.1357/cmake-mode hides
/usr/share/emacs/site-lisp/elpa-src/cmake-mode-3.22.1/cmake-mode
/home/paag/.emacs.d/elpa/cmake-mode-20221130.1357/cmake-mode-pkg hides
/usr/share/emacs/site-lisp/elpa-src/cmake-mode-3.22.1/cmake-mode-pkg
/home/paag/.emacs.d/elpa/cmake-mode-20221130.1357/cmake-mode-autoloads
hides
/usr/share/emacs/site-lisp/elpa-src/cmake-mode-3.22.1/cmake-mode-autoloads
~/.emacs.d/lisp/rst hides /usr/share/emacs/29.0.60/lisp/textmodes/rst
/home/paag/.emacs.d/site-lisp/org-mode/ox-icalendar hides
/usr/share/emacs/29.0.60/lisp/org/ox-icalendar
/home/paag/.emacs.d/site-lisp/org-mode/ob-julia hides
/usr/share/emacs/29.0.60/lisp/org/ob-julia
/home/paag/.emacs.d/site-lisp/org-mode/ob-core hides
/usr/share/emacs/29.0.60/lisp/org/ob-core
/home/paag/.emacs.d/site-lisp/org-mode/org-protocol hides
/usr/share/emacs/29.0.60/lisp/org/org-protocol
/home/paag/.emacs.d/site-lisp/org-mode/ob-screen hides
/usr/share/emacs/29.0.60/lisp/org/ob-screen
/home/paag/.emacs.d/site-lisp/org-mode/ob-awk hides
/usr/share/emacs/29.0.60/lisp/org/ob-awk
/home/paag/.emacs.d/site-lisp/org-mode/ol-bibtex hides
/usr/share/emacs/29.0.60/lisp/org/ol-bibtex
/home/paag/.emacs.d/site-lisp/org-mode/ol-eshell hides
/usr/share/emacs/29.0.60/lisp/org/ol-eshell
/home/paag/.emacs.d/site-lisp/org-mode/org-faces hides
/usr/share/emacs/29.0.60/lisp/org/org-faces
/home/paag/.emacs.d/site-lisp/org-mode/org-fold-core hides
/usr/share/emacs/29.0.60/lisp/org/org-fold-core
/home/paag/.emacs.d/site-lisp/org-mode/oc-basic hides
/usr/share/emacs/29.0.60/lisp/org/oc-basic
/home/paag/.emacs.d/site-lisp/org-mode/org-footnote hides
/usr/share/emacs/29.0.60/lisp/org/org-footnote
/home/paag/.emacs.d/site-lisp/org-mode/ob-gnuplot hides
/usr/share/emacs/29.0.60/lisp/org/ob-gnuplot
/home/paag/.emacs.d/site-lisp/org-mode/ob-perl hides
/usr/share/emacs/29.0.60/lisp/org/ob-perl
/home/paag/.emacs.d/site-lisp/org-mode/ob-lua hides
/usr/share/emacs/29.0.60/lisp/org/ob-lua
/home/paag/.emacs.d/site-lisp/org-mode/ob-latex hides
/usr/share/emacs/29.0.60/lisp/org/ob-latex
/home/paag/.emacs.d/site-lisp/org-mode/ob-css hides
/usr/share/emacs/29.0.60/lisp/org/ob-css
/home/paag/.emacs.d/site-lisp/org-mode/org-macro hides
/usr/share/emacs/29.0.60/lisp/org/org-macro
/home/paag/.emacs.d/site-lisp/org-mode/oc-biblatex hides
/usr/share/emacs/29.0.60/lisp/org/oc-biblatex
/home/paag/.emacs.d/site-lisp/org-mode/ob-makefile hides
/usr/share/emacs/29.0.60/lisp/org/ob-makefile
/home/paag/.emacs.d/site-lisp/org-mode/ol-w3m hides
/usr/share/emacs/29.0.60/lisp/org/ol-w3m
/home/paag/.emacs.d/site-lisp/org-mode/ob-sql hides
/usr/share/emacs/29.0.60/lisp/org/ob-sql
/home/paag/.emacs.d/site-lisp/org-mode/org-element hides
/usr/share/emacs/29.0.60/lisp/org/org-element
/home/paag/.emacs.d/site-lisp/org-mode/org-mobile hides
/usr/share/emacs/29.0.60/lisp/org/org-mobile
/home/paag/.emacs.d/site-lisp/org-mode/org-attach-git hides
/usr/share/emacs/29.0.60/lisp/org/org-attach-git
/home/paag/.emacs.d/site-lisp/org-mode/ox-beamer hides
/usr/share/emacs/29.0.60/lisp/org/ox-beamer
/home/paag/.emacs.d/site-lisp/org-mode/ob-sed hides
/usr/share/emacs/29.0.60/lisp/org/ob-sed
/home/paag/.emacs.d/site-lisp/org-mode/ox-ascii hides
/usr/share/emacs/29.0.60/lisp/org/ox-ascii
/home/paag/.emacs.d/site-lisp/org-mode/org-refile hides
/usr/share/emacs/29.0.60/lisp/org/org-refile
/home/paag/.emacs.d/site-lisp/org-mode/org-pcomplete hides
/usr/share/emacs/29.0.60/lisp/org/org-pcomplete
/home/paag/.emacs.d/site-lisp/org-mode/ob-groovy hides
/usr/share/emacs/29.0.60/lisp/org/ob-groovy
/home/paag/.emacs.d/site-lisp/org-mode/org-cycle hides
/usr/share/emacs/29.0.60/lisp/org/org-cycle
/home/paag/.emacs.d/site-lisp/org-mode/ob-haskell hides
/usr/share/emacs/29.0.60/lisp/org/ob-haskell
/home/paag/.emacs.d/site-lisp/org-mode/org-habit hides
/usr/share/emacs/29.0.60/lisp/org/org-habit
/home/paag/.emacs.d/site-lisp/org-mode/ob-ocaml hides
/usr/share/emacs/29.0.60/lisp/org/ob-ocaml
/home/paag/.emacs.d/site-lisp/org-mode/org-inlinetask hides
/usr/share/emacs/29.0.60/lisp/org/org-inlinetask
/home/paag/.emacs.d/site-lisp/org-mode/ob-matlab hides
/usr/share/emacs/29.0.60/lisp/org/ob-matlab
/home/paag/.emacs.d/site-lisp/org-mode/ob-processing hides
/usr/share/emacs/29.0.60/lisp/org/ob-processing
/home/paag/.emacs.d/site-lisp/org-mode/ol-info hides
/usr/share/emacs/29.0.60/lisp/org/ol-info
/home/paag/.emacs.d/site-lisp/org-mode/ob-python hides
/usr/share/emacs/29.0.60/lisp/org/ob-python
/home/paag/.emacs.d/site-lisp/org-mode/ob-fortran hides
/usr/share/emacs/29.0.60/lisp/org/ob-fortran
/home/paag/.emacs.d/site-lisp/org-mode/ol-docview hides
/usr/share/emacs/29.0.60/lisp/org/ol-docview
/home/paag/.emacs.d/site-lisp/org-mode/ox-koma-letter hides
/usr/share/emacs/29.0.60/lisp/org/ox-koma-letter
/home/paag/.emacs.d/site-lisp/org-mode/org-colview hides
/usr/share/emacs/29.0.60/lisp/org/org-colview
/home/paag/.emacs.d/site-lisp/org-mode/oc hides
/usr/share/emacs/29.0.60/lisp/org/oc
/home/paag/.emacs.d/site-lisp/org-mode/ob-table hides
/usr/share/emacs/29.0.60/lisp/org/ob-table
/home/paag/.emacs.d/site-lisp/org-mode/ob-tangle hides
/usr/share/emacs/29.0.60/lisp/org/ob-tangle
/home/paag/.emacs.d/site-lisp/org-mode/org-version hides
/usr/share/emacs/29.0.60/lisp/org/org-version
/home/paag/.emacs.d/site-lisp/org-mode/org-datetree hides
/usr/share/emacs/29.0.60/lisp/org/org-datetree
/home/paag/.emacs.d/site-lisp/org-mode/org-src hides
/usr/share/emacs/29.0.60/lisp/org/org-src
/home/paag/.emacs.d/site-lisp/org-mode/ob-eshell hides
/usr/share/emacs/29.0.60/lisp/org/ob-eshell
/home/paag/.emacs.d/site-lisp/org-mode/ob-lilypond hides
/usr/share/emacs/29.0.60/lisp/org/ob-lilypond
/home/paag/.emacs.d/site-lisp/org-mode/ox-man hides
/usr/share/emacs/29.0.60/lisp/org/ox-man
/home/paag/.emacs.d/site-lisp/org-mode/ox hides
/usr/share/emacs/29.0.60/lisp/org/ox
/home/paag/.emacs.d/site-lisp/org-mode/ob-C hides
/usr/share/emacs/29.0.60/lisp/org/ob-C
/home/paag/.emacs.d/site-lisp/org-mode/org-fold hides
/usr/share/emacs/29.0.60/lisp/org/org-fold
/home/paag/.emacs.d/site-lisp/org-mode/ob-comint hides
/usr/share/emacs/29.0.60/lisp/org/ob-comint
/home/paag/.emacs.d/site-lisp/org-mode/oc-natbib hides
/usr/share/emacs/29.0.60/lisp/org/oc-natbib
/home/paag/.emacs.d/site-lisp/org-mode/org-timer hides
/usr/share/emacs/29.0.60/lisp/org/org-timer
/home/paag/.emacs.d/site-lisp/org-mode/ob-shell hides
/usr/share/emacs/29.0.60/lisp/org/ob-shell
/home/paag/.emacs.d/site-lisp/org-mode/org-list hides
/usr/share/emacs/29.0.60/lisp/org/org-list
/home/paag/.emacs.d/site-lisp/org-mode/ox-org hides
/usr/share/emacs/29.0.60/lisp/org/ox-org
/home/paag/.emacs.d/site-lisp/org-mode/org-mouse hides
/usr/share/emacs/29.0.60/lisp/org/org-mouse
/home/paag/.emacs.d/site-lisp/org-mode/org-clock hides
/usr/share/emacs/29.0.60/lisp/org/org-clock
/home/paag/.emacs.d/site-lisp/org-mode/ob-sass hides
/usr/share/emacs/29.0.60/lisp/org/ob-sass
/home/paag/.emacs.d/site-lisp/org-mode/ob-java hides
/usr/share/emacs/29.0.60/lisp/org/ob-java
/home/paag/.emacs.d/site-lisp/org-mode/org-plot hides
/usr/share/emacs/29.0.60/lisp/org/org-plot
/home/paag/.emacs.d/site-lisp/org-mode/org-compat hides
/usr/share/emacs/29.0.60/lisp/org/org-compat
/home/paag/.emacs.d/site-lisp/org-mode/org-persist hides
/usr/share/emacs/29.0.60/lisp/org/org-persist
/home/paag/.emacs.d/site-lisp/org-mode/ol-irc hides
/usr/share/emacs/29.0.60/lisp/org/ol-irc
/home/paag/.emacs.d/site-lisp/org-mode/org-entities hides
/usr/share/emacs/29.0.60/lisp/org/org-entities
/home/paag/.emacs.d/site-lisp/org-mode/ob-lob hides
/usr/share/emacs/29.0.60/lisp/org/ob-lob
/home/paag/.emacs.d/site-lisp/org-mode/ol-man hides
/usr/share/emacs/29.0.60/lisp/org/ol-man
/home/paag/.emacs.d/site-lisp/org-mode/ol-gnus hides
/usr/share/emacs/29.0.60/lisp/org/ol-gnus
/home/paag/.emacs.d/site-lisp/org-mode/org-ctags hides
/usr/share/emacs/29.0.60/lisp/org/org-ctags
/home/paag/.emacs.d/site-lisp/org-mode/oc-csl hides
/usr/share/emacs/29.0.60/lisp/org/oc-csl
/home/paag/.emacs.d/site-lisp/org-mode/org-id hides
/usr/share/emacs/29.0.60/lisp/org/org-id
/home/paag/.emacs.d/site-lisp/org-mode/ob-clojure hides
/usr/share/emacs/29.0.60/lisp/org/ob-clojure
/home/paag/.emacs.d/site-lisp/org-mode/ol-rmail hides
/usr/share/emacs/29.0.60/lisp/org/ol-rmail
/home/paag/.emacs.d/site-lisp/org-mode/org-attach hides
/usr/share/emacs/29.0.60/lisp/org/org-attach
/home/paag/.emacs.d/site-lisp/org-mode/org-duration hides
/usr/share/emacs/29.0.60/lisp/org/org-duration
/home/paag/.emacs.d/site-lisp/org-mode/ob-org hides
/usr/share/emacs/29.0.60/lisp/org/ob-org
/home/paag/.emacs.d/site-lisp/org-mode/org-agenda hides
/usr/share/emacs/29.0.60/lisp/org/org-agenda
/home/paag/.emacs.d/site-lisp/org-mode/oc-bibtex hides
/usr/share/emacs/29.0.60/lisp/org/oc-bibtex
/home/paag/.emacs.d/site-lisp/org-mode/ob-js hides
/usr/share/emacs/29.0.60/lisp/org/ob-js
/home/paag/.emacs.d/site-lisp/org-mode/org-macs hides
/usr/share/emacs/29.0.60/lisp/org/org-macs
/home/paag/.emacs.d/site-lisp/org-mode/org-lint hides
/usr/share/emacs/29.0.60/lisp/org/org-lint
/home/paag/.emacs.d/site-lisp/org-mode/ob-lisp hides
/usr/share/emacs/29.0.60/lisp/org/ob-lisp
/home/paag/.emacs.d/site-lisp/org-mode/org-table hides
/usr/share/emacs/29.0.60/lisp/org/org-table
/home/paag/.emacs.d/site-lisp/org-mode/ox-html hides
/usr/share/emacs/29.0.60/lisp/org/ox-html
/home/paag/.emacs.d/site-lisp/org-mode/org-num hides
/usr/share/emacs/29.0.60/lisp/org/org-num
/home/paag/.emacs.d/site-lisp/org-mode/ob-ruby hides
/usr/share/emacs/29.0.60/lisp/org/ob-ruby
/home/paag/.emacs.d/site-lisp/org-mode/ol-eww hides
/usr/share/emacs/29.0.60/lisp/org/ol-eww
/home/paag/.emacs.d/site-lisp/org-mode/ob-sqlite hides
/usr/share/emacs/29.0.60/lisp/org/ob-sqlite
/home/paag/.emacs.d/site-lisp/org-mode/ob-ditaa hides
/usr/share/emacs/29.0.60/lisp/org/ob-ditaa
/home/paag/.emacs.d/site-lisp/org-mode/ol-doi hides
/usr/share/emacs/29.0.60/lisp/org/ol-doi
/home/paag/.emacs.d/site-lisp/org-mode/ob-ref hides
/usr/share/emacs/29.0.60/lisp/org/ob-ref
/home/paag/.emacs.d/site-lisp/org-mode/ob-octave hides
/usr/share/emacs/29.0.60/lisp/org/ob-octave
/home/paag/.emacs.d/site-lisp/org-mode/ob-forth hides
/usr/share/emacs/29.0.60/lisp/org/ob-forth
/home/paag/.emacs.d/site-lisp/org-mode/ox-publish hides
/usr/share/emacs/29.0.60/lisp/org/ox-publish
/home/paag/.emacs.d/site-lisp/org-mode/org-indent hides
/usr/share/emacs/29.0.60/lisp/org/org-indent
/home/paag/.emacs.d/site-lisp/org-mode/ob-R hides
/usr/share/emacs/29.0.60/lisp/org/ob-R
/home/paag/.emacs.d/site-lisp/org-mode/org hides
/usr/share/emacs/29.0.60/lisp/org/org
/home/paag/.emacs.d/site-lisp/org-mode/ob-eval hides
/usr/share/emacs/29.0.60/lisp/org/ob-eval
/home/paag/.emacs.d/site-lisp/org-mode/ob-dot hides
/usr/share/emacs/29.0.60/lisp/org/ob-dot
/home/paag/.emacs.d/site-lisp/org-mode/ox-odt hides
/usr/share/emacs/29.0.60/lisp/org/ox-odt
/home/paag/.emacs.d/site-lisp/org-mode/ox-latex hides
/usr/share/emacs/29.0.60/lisp/org/ox-latex
/home/paag/.emacs.d/site-lisp/org-mode/ob-scheme hides
/usr/share/emacs/29.0.60/lisp/org/ob-scheme
/home/paag/.emacs.d/site-lisp/org-mode/org-loaddefs hides
/usr/share/emacs/29.0.60/lisp/org/org-loaddefs
/home/paag/.emacs.d/site-lisp/org-mode/ob-emacs-lisp hides
/usr/share/emacs/29.0.60/lisp/org/ob-emacs-lisp
/home/paag/.emacs.d/site-lisp/org-mode/org-archive hides
/usr/share/emacs/29.0.60/lisp/org/org-archive
/home/paag/.emacs.d/site-lisp/org-mode/org-feed hides
/usr/share/emacs/29.0.60/lisp/org/org-feed
/home/paag/.emacs.d/site-lisp/org-mode/ob-calc hides
/usr/share/emacs/29.0.60/lisp/org/ob-calc
/home/paag/.emacs.d/site-lisp/org-mode/ol hides
/usr/share/emacs/29.0.60/lisp/org/ol
/home/paag/.emacs.d/site-lisp/org-mode/ob-exp hides
/usr/share/emacs/29.0.60/lisp/org/ob-exp
/home/paag/.emacs.d/site-lisp/org-mode/org-capture hides
/usr/share/emacs/29.0.60/lisp/org/org-capture
/home/paag/.emacs.d/site-lisp/org-mode/org-goto hides
/usr/share/emacs/29.0.60/lisp/org/org-goto
/home/paag/.emacs.d/site-lisp/org-mode/org-tempo hides
/usr/share/emacs/29.0.60/lisp/org/org-tempo
/home/paag/.emacs.d/site-lisp/org-mode/org-keys hides
/usr/share/emacs/29.0.60/lisp/org/org-keys
/home/paag/.emacs.d/site-lisp/org-mode/ox-texinfo hides
/usr/share/emacs/29.0.60/lisp/org/ox-texinfo
/home/paag/.emacs.d/site-lisp/org-mode/ox-md hides
/usr/share/emacs/29.0.60/lisp/org/ox-md
/home/paag/.emacs.d/site-lisp/org-mode/ob-plantuml hides
/usr/share/emacs/29.0.60/lisp/org/ob-plantuml
/home/paag/.emacs.d/site-lisp/org-mode/org-crypt hides
/usr/share/emacs/29.0.60/lisp/org/org-crypt
/home/paag/.emacs.d/site-lisp/org-mode/ob-maxima hides
/usr/share/emacs/29.0.60/lisp/org/ob-maxima
/home/paag/.emacs.d/site-lisp/org-mode/ol-mhe hides
/usr/share/emacs/29.0.60/lisp/org/ol-mhe
/home/paag/.emacs.d/site-lisp/org-mode/ob hides
/usr/share/emacs/29.0.60/lisp/org/ob
/home/paag/.emacs.d/site-lisp/org-mode/ol-bbdb hides
/usr/share/emacs/29.0.60/lisp/org/ol-bbdb
/usr/share/emacs/site-lisp/latex-cjk-thai/thai-word hides
/usr/share/emacs/29.0.60/lisp/language/thai-word

Features:
(shadow sort flyspell ispell mail-extr emacsbug message yank-media puny
rfc822 mml mml-sec epa epg rfc6068 epg-config gnus-util mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
misearch multi-isearch company-elisp vc-hg vc-git diff-mode vc-bzr
vc-dispatcher vc-svn tabify eglot external-completion array filenotify
xref flymake-proc flymake compile text-property-search imenu
display-line-numbers python project treesit dired-aux dired
dired-loaddefs tramp-cache time-stamp tramp-sh multiple-cursors
mc-separate-operations rectangular-region-mode mc-mark-pop mc-edit-lines
mc-hide-unmatched-lines-mode mc-mark-more thingatpt mc-cycle-cursors
multiple-cursors-core rect yasnippet company-yasnippet company-capf
company-keywords company-files company-latex-aux company ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar org-agenda ox-html table
ox-ascii ox-publish ox org-element org-persist xdg org-id org-refile org
ob ob-tangle ob-ref ob-lob ob-table org-macro org-src ob-comint
org-pcomplete org-list org-footnote org-faces org-entities noutline
outline ob-emacs-lisp org-table org-keys org-loaddefs cal-menu calendar
cal-loaddefs avl-tree ol oc ob-exp ob-core org-cycle org-fold
org-fold-core org-compat ob-eval org-version org-macs track-change
pyvenv eshell esh-cmd generator esh-ext esh-opt esh-proc esh-io esh-arg
esh-module esh-groups esh-util jsonrpc ert ewoc debug backtrace advice
find-func color indent-tools yafolding s hydra lv
indent-tools-indentation-of tab-line group-tab-line-mode dbus xml
synctex-dbus derived texlog-mode edmacro kmacro finder-inf pcase
norte-theme cycle-appearance elec-pair hl-line tramp tramp-loaddefs
trampver tramp-integration files-x tramp-compat shell pcomplete comint
ansi-osc ansi-color ring parse-time iso8601 time-date ls-lisp
format-spec server benchmark use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
easy-mmode use-package-core go-mode-autoloads indent-tools-autoloads
exec-path-from-shell-autoloads multiple-cursors-autoloads
cmake-mode-autoloads clojure-mode-autoloads info company-autoloads
yasnippet-autoloads s-autoloads flymake-yamllint-autoloads
pyvenv-autoloads yaml-pro-autoloads yaml-mode-autoloads
visual-regexp-autoloads move-text-autoloads hydra-autoloads lv-autoloads
yafolding-autoloads yaml-autoloads package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source eieio eieio-core password-cache json map byte-opt url-vars
cus-edit pp cus-load wid-edit comp comp-cstr warnings icons subr-x rx
cl-seq cl-macs gv cl-extra help-mode cl-loaddefs cl-lib bytecomp
byte-compile rmc iso-transl tooltip cconv eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit xinput2 x multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 531365 25655)
 (symbols 48 35148 9)
 (strings 32 155714 6230)
 (string-bytes 1 4645865)
 (vectors 16 59951)
 (vector-slots 8 1082801 41589)
 (floats 8 282 114)
 (intervals 56 1195 199)
 (buffers 984 22))

-- 
Fragen sind nicht da um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet

--0000000000002f127d05f221db45
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div><d=
iv>I have a development VM with users &#39;paag&#39; and &#39;student&#39; =
which I access with<br></div><div>port translation. Both users on the guest=
 have pip and python-lsp-server installed and in the PATH.</div><div>The se=
tup is the same as for my Python development environment on my host.=C2=A0<=
/div><div>The user in the host is &#39;paag&#39;. OS in host and guest is U=
buntu 22.04LTS</div><div><br></div><div>I use following configuration for t=
ramp:</div><div>```</div><div>(use-package tramp</div><div>=C2=A0 :config</=
div><div>=C2=A0 ;;</div><div>=C2=A0 ;; For VMs with the student user and fo=
r my private VMs</div><div>=C2=A0 ;;</div><div>=C2=A0 (add-to-list &#39;tra=
mp-remote-path &quot;/home/paag/.local/bin&quot;)</div><div>=C2=A0 (add-to-=
list &#39;tramp-remote-path &quot;/home/student/.local/bin&quot;))</div><di=
v>```</div><div>And the following for eglot:</div><div>```</div><div><div>(=
defun my/eglot-mode-hook ()</div><div>=C2=A0 (interactive)</div><div>=C2=A0=
 (message &quot;adding yasnippets to eglot for %s&quot; major-mode)</div><d=
iv>=C2=A0 (add-to-list (make-local-variable &#39;company-backends)</div><di=
v><span style=3D"white-space:pre">	</span>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0&#39;(company-files</div><div><span style=3D"white-space:p=
re">		</span>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0company-keywor=
ds</div><div><span style=3D"white-space:pre">		</span>=C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0company-capf :with company-yasnippet)))</div></d=
iv><div><br></div><div>(use-package eglot</div><div>=C2=A0 :bind (:map eglo=
t-mode-map</div><div><span style=3D"white-space:pre">	</span>=C2=A0 =C2=A0 =
=C2=A0 (&quot;C-c &lt;tab&gt;&quot; . company-complete)</div><div><span sty=
le=3D"white-space:pre">	</span>=C2=A0 =C2=A0 =C2=A0 (&quot;C-c e r&quot;=C2=
=A0 =C2=A0. eglot-rename))</div><div>=C2=A0 :hook ((eglot-managed-mode . my=
/eglot-mode-hook)</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0((go-mode pyt=
hon-mode) . eglot-ensure))</div><div>=C2=A0 :config</div><div>=C2=A0 (messa=
ge &quot;Configuring eglot&quot;)</div><div>=C2=A0 (setq eglot-server-progr=
ams &#39;(((python-mode) . (&quot;pylsp&quot;))</div><div>=C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 (go-mode . (&quot;gopls&quot;)))))</div><div><br></div=
><div>```</div><div>When I edit Python code locally or on the &#39;paag&#39=
; user in the VM</div><div>everything works correctly. However, when I try =
to edit remotely</div><div>on the &#39;student&#39; user, I get the followi=
ng error:</div><div>```</div><div>Tramp: Opening connection nil for student=
@localhost using ssh...done</div><div>Tramp: Inserting &#39;/ssh:student@lo=
calhost#10042:/home/student/Devel/test1.py&#39;...done</div><div>Can&#39;t =
guess python-indent-offset, using defaults: 4</div><div>Configuring eglot</=
div><div><br></div><div>Tramp: Checking &#39;vc-registered&#39; for /ssh:st=
udent@localhost#10042:/home/student/Devel/test1.py...done</div><div>Configu=
ring eglot</div><div>Tramp: Opening connection *EGLOT (Devel/(python-mode))=
 stderr* for student@localhost using ssh...done</div><div>Tramp: Opening co=
nnection EGLOT (Devel/(python-mode)) for student@localhost using ssh...done=
</div><div>[jsonrpc] Server exited with status 127</div><div>Error in post-=
command-hook (#[0 &quot;\303\304\300\242\305#\210\306\301!\205 \0r\301q\210=
</div><div>?\205 \0\307\310\311 \&quot;)\207&quot; [(#0) #&lt;buffer test1.=
py&gt; eglot--managed-mode remove-hook post-command-hook nil buffer-live-p =
apply eglot--connect eglot--guess-contact] 4]): (error &quot;[eglot] -1: Se=
rver died&quot;)</div><div>Mark set</div><div><br></div><div>```</div><div>=
<br></div><div><br></div><div>In GNU Emacs 29.0.60 (build 1, x86_64-pc-linu=
x-gnu, GTK+ Version</div><div>=C2=A03.24.33, cairo version 1.16.0) of 2023-=
01-09 built on 5d0ebd8eaece</div><div>Repository revision: bdbb7099784eb79e=
f9b94bb85f0c3dc9dae82d6c</div><div>Repository branch: emacs-29</div><div>Wi=
ndowing system distributor &#39;The X.Org Foundation&#39;, version 11.0.121=
01003</div><div>System Description: Ubuntu 22.04.1 LTS</div><div><br></div>=
<div>Configured using:</div><div>=C2=A0&#39;configure --prefix=3D/usr --pro=
gram-suffix=3D29 --with-json --with-x</div><div>=C2=A0--with-x-toolkit=3Dgt=
k3 --with-cairo --with-compress-install</div><div>=C2=A0--with-modules=3Dye=
s --with-threads --with-included-regex --with-zlib</div><div>=C2=A0--withou=
t-tree-sitter --with-native-compilation &#39;CFLAGS=3D-g -O2</div><div>=C2=
=A0-ffile-prefix-map=3D/home/paag/emacs=3D. -flto=3Dauto -ffat-lto-objects<=
/div><div>=C2=A0-flto=3Dauto -ffat-lto-objects -fstack-protector-strong -Wf=
ormat</div><div>=C2=A0-Werror=3Dformat-security&#39; &#39;CPPFLAGS=3D-Wdate=
-time -D_FORTIFY_SOURCE=3D2&#39;</div><div>=C2=A0&#39;LDFLAGS=3D-Wl,-Bsymbo=
lic-functions -flto=3Dauto -ffat-lto-objects</div><div>=C2=A0-flto=3Dauto -=
Wl,-z,relro&#39;&#39;</div><div><br></div><div>Configured features:</div><d=
iv>CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON</di=
v><div>LIBSELINUX LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG</d=
iv><div>SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XINPUT2=
 XPM</div><div>GTK3 ZLIB</div><div><br></div><div>Important settings:</div>=
<div>=C2=A0 value of $LC_MONETARY: es_ES.UTF-8</div><div>=C2=A0 value of $L=
C_NUMERIC: es_ES.UTF-8</div><div>=C2=A0 value of $LC_TIME: es_ES.UTF-8</div=
><div>=C2=A0 value of $LANG: en_GB.UTF-8</div><div>=C2=A0 value of $XMODIFI=
ERS: @im=3Dibus</div><div>=C2=A0 locale-coding-system: utf-8</div><div><br>=
</div><div>Major mode: ELisp/d</div><div><br></div><div>Minor modes in effe=
ct:</div><div>=C2=A0 display-line-numbers-mode: t</div><div>=C2=A0 yas-glob=
al-mode: t</div><div>=C2=A0 yas-minor-mode: t</div><div>=C2=A0 global-compa=
ny-mode: t</div><div>=C2=A0 company-mode: t</div><div>=C2=A0 global-tab-lin=
e-mode: t</div><div>=C2=A0 tab-line-mode: t</div><div>=C2=A0 electric-pair-=
mode: t</div><div>=C2=A0 shell-dirtrack-mode: t</div><div>=C2=A0 server-mod=
e: t</div><div>=C2=A0 override-global-mode: t</div><div>=C2=A0 global-eldoc=
-mode: t</div><div>=C2=A0 eldoc-mode: t</div><div>=C2=A0 show-paren-mode: t=
</div><div>=C2=A0 electric-indent-mode: t</div><div>=C2=A0 mouse-wheel-mode=
: t</div><div>=C2=A0 menu-bar-mode: t</div><div>=C2=A0 file-name-shadow-mod=
e: t</div><div>=C2=A0 global-font-lock-mode: t</div><div>=C2=A0 font-lock-m=
ode: t</div><div>=C2=A0 blink-cursor-mode: t</div><div>=C2=A0 column-number=
-mode: t</div><div>=C2=A0 line-number-mode: t</div><div>=C2=A0 transient-ma=
rk-mode: t</div><div>=C2=A0 auto-composition-mode: t</div><div>=C2=A0 auto-=
encryption-mode: t</div><div>=C2=A0 auto-compression-mode: t</div><div><br>=
</div><div>Load-path shadows:</div><div>/home/paag/.emacs.d/elpa/cmake-mode=
-20221130.1357/cmake-mode hides /usr/share/emacs/site-lisp/elpa-src/cmake-m=
ode-3.22.1/cmake-mode</div><div>/home/paag/.emacs.d/elpa/cmake-mode-2022113=
0.1357/cmake-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/cmake-mode-=
3.22.1/cmake-mode-pkg</div><div>/home/paag/.emacs.d/elpa/cmake-mode-2022113=
0.1357/cmake-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/cmake=
-mode-3.22.1/cmake-mode-autoloads</div><div>~/.emacs.d/lisp/rst hides /usr/=
share/emacs/29.0.60/lisp/textmodes/rst</div><div>/home/paag/.emacs.d/site-l=
isp/org-mode/ox-icalendar hides /usr/share/emacs/29.0.60/lisp/org/ox-icalen=
dar</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-julia hides /usr/sh=
are/emacs/29.0.60/lisp/org/ob-julia</div><div>/home/paag/.emacs.d/site-lisp=
/org-mode/ob-core hides /usr/share/emacs/29.0.60/lisp/org/ob-core</div><div=
>/home/paag/.emacs.d/site-lisp/org-mode/org-protocol hides /usr/share/emacs=
/29.0.60/lisp/org/org-protocol</div><div>/home/paag/.emacs.d/site-lisp/org-=
mode/ob-screen hides /usr/share/emacs/29.0.60/lisp/org/ob-screen</div><div>=
/home/paag/.emacs.d/site-lisp/org-mode/ob-awk hides /usr/share/emacs/29.0.6=
0/lisp/org/ob-awk</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ol-bibte=
x hides /usr/share/emacs/29.0.60/lisp/org/ol-bibtex</div><div>/home/paag/.e=
macs.d/site-lisp/org-mode/ol-eshell hides /usr/share/emacs/29.0.60/lisp/org=
/ol-eshell</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-faces hides=
 /usr/share/emacs/29.0.60/lisp/org/org-faces</div><div>/home/paag/.emacs.d/=
site-lisp/org-mode/org-fold-core hides /usr/share/emacs/29.0.60/lisp/org/or=
g-fold-core</div><div>/home/paag/.emacs.d/site-lisp/org-mode/oc-basic hides=
 /usr/share/emacs/29.0.60/lisp/org/oc-basic</div><div>/home/paag/.emacs.d/s=
ite-lisp/org-mode/org-footnote hides /usr/share/emacs/29.0.60/lisp/org/org-=
footnote</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-gnuplot hides =
/usr/share/emacs/29.0.60/lisp/org/ob-gnuplot</div><div>/home/paag/.emacs.d/=
site-lisp/org-mode/ob-perl hides /usr/share/emacs/29.0.60/lisp/org/ob-perl<=
/div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-lua hides /usr/share/em=
acs/29.0.60/lisp/org/ob-lua</div><div>/home/paag/.emacs.d/site-lisp/org-mod=
e/ob-latex hides /usr/share/emacs/29.0.60/lisp/org/ob-latex</div><div>/home=
/paag/.emacs.d/site-lisp/org-mode/ob-css hides /usr/share/emacs/29.0.60/lis=
p/org/ob-css</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-macro hid=
es /usr/share/emacs/29.0.60/lisp/org/org-macro</div><div>/home/paag/.emacs.=
d/site-lisp/org-mode/oc-biblatex hides /usr/share/emacs/29.0.60/lisp/org/oc=
-biblatex</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-makefile hide=
s /usr/share/emacs/29.0.60/lisp/org/ob-makefile</div><div>/home/paag/.emacs=
.d/site-lisp/org-mode/ol-w3m hides /usr/share/emacs/29.0.60/lisp/org/ol-w3m=
</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-sql hides /usr/share/e=
macs/29.0.60/lisp/org/ob-sql</div><div>/home/paag/.emacs.d/site-lisp/org-mo=
de/org-element hides /usr/share/emacs/29.0.60/lisp/org/org-element</div><di=
v>/home/paag/.emacs.d/site-lisp/org-mode/org-mobile hides /usr/share/emacs/=
29.0.60/lisp/org/org-mobile</div><div>/home/paag/.emacs.d/site-lisp/org-mod=
e/org-attach-git hides /usr/share/emacs/29.0.60/lisp/org/org-attach-git</di=
v><div>/home/paag/.emacs.d/site-lisp/org-mode/ox-beamer hides /usr/share/em=
acs/29.0.60/lisp/org/ox-beamer</div><div>/home/paag/.emacs.d/site-lisp/org-=
mode/ob-sed hides /usr/share/emacs/29.0.60/lisp/org/ob-sed</div><div>/home/=
paag/.emacs.d/site-lisp/org-mode/ox-ascii hides /usr/share/emacs/29.0.60/li=
sp/org/ox-ascii</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-refile=
 hides /usr/share/emacs/29.0.60/lisp/org/org-refile</div><div>/home/paag/.e=
macs.d/site-lisp/org-mode/org-pcomplete hides /usr/share/emacs/29.0.60/lisp=
/org/org-pcomplete</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-groo=
vy hides /usr/share/emacs/29.0.60/lisp/org/ob-groovy</div><div>/home/paag/.=
emacs.d/site-lisp/org-mode/org-cycle hides /usr/share/emacs/29.0.60/lisp/or=
g/org-cycle</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-haskell hid=
es /usr/share/emacs/29.0.60/lisp/org/ob-haskell</div><div>/home/paag/.emacs=
.d/site-lisp/org-mode/org-habit hides /usr/share/emacs/29.0.60/lisp/org/org=
-habit</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-ocaml hides /usr=
/share/emacs/29.0.60/lisp/org/ob-ocaml</div><div>/home/paag/.emacs.d/site-l=
isp/org-mode/org-inlinetask hides /usr/share/emacs/29.0.60/lisp/org/org-inl=
inetask</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-matlab hides /u=
sr/share/emacs/29.0.60/lisp/org/ob-matlab</div><div>/home/paag/.emacs.d/sit=
e-lisp/org-mode/ob-processing hides /usr/share/emacs/29.0.60/lisp/org/ob-pr=
ocessing</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ol-info hides /us=
r/share/emacs/29.0.60/lisp/org/ol-info</div><div>/home/paag/.emacs.d/site-l=
isp/org-mode/ob-python hides /usr/share/emacs/29.0.60/lisp/org/ob-python</d=
iv><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-fortran hides /usr/share/=
emacs/29.0.60/lisp/org/ob-fortran</div><div>/home/paag/.emacs.d/site-lisp/o=
rg-mode/ol-docview hides /usr/share/emacs/29.0.60/lisp/org/ol-docview</div>=
<div>/home/paag/.emacs.d/site-lisp/org-mode/ox-koma-letter hides /usr/share=
/emacs/29.0.60/lisp/org/ox-koma-letter</div><div>/home/paag/.emacs.d/site-l=
isp/org-mode/org-colview hides /usr/share/emacs/29.0.60/lisp/org/org-colvie=
w</div><div>/home/paag/.emacs.d/site-lisp/org-mode/oc hides /usr/share/emac=
s/29.0.60/lisp/org/oc</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-t=
able hides /usr/share/emacs/29.0.60/lisp/org/ob-table</div><div>/home/paag/=
.emacs.d/site-lisp/org-mode/ob-tangle hides /usr/share/emacs/29.0.60/lisp/o=
rg/ob-tangle</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-version h=
ides /usr/share/emacs/29.0.60/lisp/org/org-version</div><div>/home/paag/.em=
acs.d/site-lisp/org-mode/org-datetree hides /usr/share/emacs/29.0.60/lisp/o=
rg/org-datetree</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-src hi=
des /usr/share/emacs/29.0.60/lisp/org/org-src</div><div>/home/paag/.emacs.d=
/site-lisp/org-mode/ob-eshell hides /usr/share/emacs/29.0.60/lisp/org/ob-es=
hell</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-lilypond hides /us=
r/share/emacs/29.0.60/lisp/org/ob-lilypond</div><div>/home/paag/.emacs.d/si=
te-lisp/org-mode/ox-man hides /usr/share/emacs/29.0.60/lisp/org/ox-man</div=
><div>/home/paag/.emacs.d/site-lisp/org-mode/ox hides /usr/share/emacs/29.0=
.60/lisp/org/ox</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-C hides=
 /usr/share/emacs/29.0.60/lisp/org/ob-C</div><div>/home/paag/.emacs.d/site-=
lisp/org-mode/org-fold hides /usr/share/emacs/29.0.60/lisp/org/org-fold</di=
v><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-comint hides /usr/share/em=
acs/29.0.60/lisp/org/ob-comint</div><div>/home/paag/.emacs.d/site-lisp/org-=
mode/oc-natbib hides /usr/share/emacs/29.0.60/lisp/org/oc-natbib</div><div>=
/home/paag/.emacs.d/site-lisp/org-mode/org-timer hides /usr/share/emacs/29.=
0.60/lisp/org/org-timer</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob=
-shell hides /usr/share/emacs/29.0.60/lisp/org/ob-shell</div><div>/home/paa=
g/.emacs.d/site-lisp/org-mode/org-list hides /usr/share/emacs/29.0.60/lisp/=
org/org-list</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ox-org hides =
/usr/share/emacs/29.0.60/lisp/org/ox-org</div><div>/home/paag/.emacs.d/site=
-lisp/org-mode/org-mouse hides /usr/share/emacs/29.0.60/lisp/org/org-mouse<=
/div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-clock hides /usr/share=
/emacs/29.0.60/lisp/org/org-clock</div><div>/home/paag/.emacs.d/site-lisp/o=
rg-mode/ob-sass hides /usr/share/emacs/29.0.60/lisp/org/ob-sass</div><div>/=
home/paag/.emacs.d/site-lisp/org-mode/ob-java hides /usr/share/emacs/29.0.6=
0/lisp/org/ob-java</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-plo=
t hides /usr/share/emacs/29.0.60/lisp/org/org-plot</div><div>/home/paag/.em=
acs.d/site-lisp/org-mode/org-compat hides /usr/share/emacs/29.0.60/lisp/org=
/org-compat</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-persist hi=
des /usr/share/emacs/29.0.60/lisp/org/org-persist</div><div>/home/paag/.ema=
cs.d/site-lisp/org-mode/ol-irc hides /usr/share/emacs/29.0.60/lisp/org/ol-i=
rc</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-entities hides /usr=
/share/emacs/29.0.60/lisp/org/org-entities</div><div>/home/paag/.emacs.d/si=
te-lisp/org-mode/ob-lob hides /usr/share/emacs/29.0.60/lisp/org/ob-lob</div=
><div>/home/paag/.emacs.d/site-lisp/org-mode/ol-man hides /usr/share/emacs/=
29.0.60/lisp/org/ol-man</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ol=
-gnus hides /usr/share/emacs/29.0.60/lisp/org/ol-gnus</div><div>/home/paag/=
.emacs.d/site-lisp/org-mode/org-ctags hides /usr/share/emacs/29.0.60/lisp/o=
rg/org-ctags</div><div>/home/paag/.emacs.d/site-lisp/org-mode/oc-csl hides =
/usr/share/emacs/29.0.60/lisp/org/oc-csl</div><div>/home/paag/.emacs.d/site=
-lisp/org-mode/org-id hides /usr/share/emacs/29.0.60/lisp/org/org-id</div><=
div>/home/paag/.emacs.d/site-lisp/org-mode/ob-clojure hides /usr/share/emac=
s/29.0.60/lisp/org/ob-clojure</div><div>/home/paag/.emacs.d/site-lisp/org-m=
ode/ol-rmail hides /usr/share/emacs/29.0.60/lisp/org/ol-rmail</div><div>/ho=
me/paag/.emacs.d/site-lisp/org-mode/org-attach hides /usr/share/emacs/29.0.=
60/lisp/org/org-attach</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org=
-duration hides /usr/share/emacs/29.0.60/lisp/org/org-duration</div><div>/h=
ome/paag/.emacs.d/site-lisp/org-mode/ob-org hides /usr/share/emacs/29.0.60/=
lisp/org/ob-org</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-agenda=
 hides /usr/share/emacs/29.0.60/lisp/org/org-agenda</div><div>/home/paag/.e=
macs.d/site-lisp/org-mode/oc-bibtex hides /usr/share/emacs/29.0.60/lisp/org=
/oc-bibtex</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-js hides /us=
r/share/emacs/29.0.60/lisp/org/ob-js</div><div>/home/paag/.emacs.d/site-lis=
p/org-mode/org-macs hides /usr/share/emacs/29.0.60/lisp/org/org-macs</div><=
div>/home/paag/.emacs.d/site-lisp/org-mode/org-lint hides /usr/share/emacs/=
29.0.60/lisp/org/org-lint</div><div>/home/paag/.emacs.d/site-lisp/org-mode/=
ob-lisp hides /usr/share/emacs/29.0.60/lisp/org/ob-lisp</div><div>/home/paa=
g/.emacs.d/site-lisp/org-mode/org-table hides /usr/share/emacs/29.0.60/lisp=
/org/org-table</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ox-html hid=
es /usr/share/emacs/29.0.60/lisp/org/ox-html</div><div>/home/paag/.emacs.d/=
site-lisp/org-mode/org-num hides /usr/share/emacs/29.0.60/lisp/org/org-num<=
/div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-ruby hides /usr/share/e=
macs/29.0.60/lisp/org/ob-ruby</div><div>/home/paag/.emacs.d/site-lisp/org-m=
ode/ol-eww hides /usr/share/emacs/29.0.60/lisp/org/ol-eww</div><div>/home/p=
aag/.emacs.d/site-lisp/org-mode/ob-sqlite hides /usr/share/emacs/29.0.60/li=
sp/org/ob-sqlite</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-ditaa =
hides /usr/share/emacs/29.0.60/lisp/org/ob-ditaa</div><div>/home/paag/.emac=
s.d/site-lisp/org-mode/ol-doi hides /usr/share/emacs/29.0.60/lisp/org/ol-do=
i</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-ref hides /usr/share/=
emacs/29.0.60/lisp/org/ob-ref</div><div>/home/paag/.emacs.d/site-lisp/org-m=
ode/ob-octave hides /usr/share/emacs/29.0.60/lisp/org/ob-octave</div><div>/=
home/paag/.emacs.d/site-lisp/org-mode/ob-forth hides /usr/share/emacs/29.0.=
60/lisp/org/ob-forth</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ox-pu=
blish hides /usr/share/emacs/29.0.60/lisp/org/ox-publish</div><div>/home/pa=
ag/.emacs.d/site-lisp/org-mode/org-indent hides /usr/share/emacs/29.0.60/li=
sp/org/org-indent</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-R hid=
es /usr/share/emacs/29.0.60/lisp/org/ob-R</div><div>/home/paag/.emacs.d/sit=
e-lisp/org-mode/org hides /usr/share/emacs/29.0.60/lisp/org/org</div><div>/=
home/paag/.emacs.d/site-lisp/org-mode/ob-eval hides /usr/share/emacs/29.0.6=
0/lisp/org/ob-eval</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ob-dot =
hides /usr/share/emacs/29.0.60/lisp/org/ob-dot</div><div>/home/paag/.emacs.=
d/site-lisp/org-mode/ox-odt hides /usr/share/emacs/29.0.60/lisp/org/ox-odt<=
/div><div>/home/paag/.emacs.d/site-lisp/org-mode/ox-latex hides /usr/share/=
emacs/29.0.60/lisp/org/ox-latex</div><div>/home/paag/.emacs.d/site-lisp/org=
-mode/ob-scheme hides /usr/share/emacs/29.0.60/lisp/org/ob-scheme</div><div=
>/home/paag/.emacs.d/site-lisp/org-mode/org-loaddefs hides /usr/share/emacs=
/29.0.60/lisp/org/org-loaddefs</div><div>/home/paag/.emacs.d/site-lisp/org-=
mode/ob-emacs-lisp hides /usr/share/emacs/29.0.60/lisp/org/ob-emacs-lisp</d=
iv><div>/home/paag/.emacs.d/site-lisp/org-mode/org-archive hides /usr/share=
/emacs/29.0.60/lisp/org/org-archive</div><div>/home/paag/.emacs.d/site-lisp=
/org-mode/org-feed hides /usr/share/emacs/29.0.60/lisp/org/org-feed</div><d=
iv>/home/paag/.emacs.d/site-lisp/org-mode/ob-calc hides /usr/share/emacs/29=
.0.60/lisp/org/ob-calc</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ol =
hides /usr/share/emacs/29.0.60/lisp/org/ol</div><div>/home/paag/.emacs.d/si=
te-lisp/org-mode/ob-exp hides /usr/share/emacs/29.0.60/lisp/org/ob-exp</div=
><div>/home/paag/.emacs.d/site-lisp/org-mode/org-capture hides /usr/share/e=
macs/29.0.60/lisp/org/org-capture</div><div>/home/paag/.emacs.d/site-lisp/o=
rg-mode/org-goto hides /usr/share/emacs/29.0.60/lisp/org/org-goto</div><div=
>/home/paag/.emacs.d/site-lisp/org-mode/org-tempo hides /usr/share/emacs/29=
.0.60/lisp/org/org-tempo</div><div>/home/paag/.emacs.d/site-lisp/org-mode/o=
rg-keys hides /usr/share/emacs/29.0.60/lisp/org/org-keys</div><div>/home/pa=
ag/.emacs.d/site-lisp/org-mode/ox-texinfo hides /usr/share/emacs/29.0.60/li=
sp/org/ox-texinfo</div><div>/home/paag/.emacs.d/site-lisp/org-mode/ox-md hi=
des /usr/share/emacs/29.0.60/lisp/org/ox-md</div><div>/home/paag/.emacs.d/s=
ite-lisp/org-mode/ob-plantuml hides /usr/share/emacs/29.0.60/lisp/org/ob-pl=
antuml</div><div>/home/paag/.emacs.d/site-lisp/org-mode/org-crypt hides /us=
r/share/emacs/29.0.60/lisp/org/org-crypt</div><div>/home/paag/.emacs.d/site=
-lisp/org-mode/ob-maxima hides /usr/share/emacs/29.0.60/lisp/org/ob-maxima<=
/div><div>/home/paag/.emacs.d/site-lisp/org-mode/ol-mhe hides /usr/share/em=
acs/29.0.60/lisp/org/ol-mhe</div><div>/home/paag/.emacs.d/site-lisp/org-mod=
e/ob hides /usr/share/emacs/29.0.60/lisp/org/ob</div><div>/home/paag/.emacs=
.d/site-lisp/org-mode/ol-bbdb hides /usr/share/emacs/29.0.60/lisp/org/ol-bb=
db</div><div>/usr/share/emacs/site-lisp/latex-cjk-thai/thai-word hides /usr=
/share/emacs/29.0.60/lisp/language/thai-word</div><div><br></div><div>Featu=
res:</div><div>(shadow sort flyspell ispell mail-extr emacsbug message yank=
-media puny</div><div>rfc822 mml mml-sec epa epg rfc6068 epg-config gnus-ut=
il mm-decode</div><div>mm-bodies mm-encode mail-parse rfc2231 mailabbrev gm=
m-utils mailheader</div><div>sendmail rfc2047 rfc2045 ietf-drums mm-util ma=
il-prsvr mail-utils</div><div>misearch multi-isearch company-elisp vc-hg vc=
-git diff-mode vc-bzr</div><div>vc-dispatcher vc-svn tabify eglot external-=
completion array filenotify</div><div>xref flymake-proc flymake compile tex=
t-property-search imenu</div><div>display-line-numbers python project trees=
it dired-aux dired</div><div>dired-loaddefs tramp-cache time-stamp tramp-sh=
 multiple-cursors</div><div>mc-separate-operations rectangular-region-mode =
mc-mark-pop mc-edit-lines</div><div>mc-hide-unmatched-lines-mode mc-mark-mo=
re thingatpt mc-cycle-cursors</div><div>multiple-cursors-core rect yasnippe=
t company-yasnippet company-capf</div><div>company-keywords company-files c=
ompany-latex-aux company ox-odt rng-loc</div><div>rng-uri rng-parse rng-mat=
ch rng-dt rng-util rng-pttrn nxml-parse nxml-ns</div><div>nxml-enc xmltok n=
xml-util ox-latex ox-icalendar org-agenda ox-html table</div><div>ox-ascii =
ox-publish ox org-element org-persist xdg org-id org-refile org</div><div>o=
b ob-tangle ob-ref ob-lob ob-table org-macro org-src ob-comint</div><div>or=
g-pcomplete org-list org-footnote org-faces org-entities noutline</div><div=
>outline ob-emacs-lisp org-table org-keys org-loaddefs cal-menu calendar</d=
iv><div>cal-loaddefs avl-tree ol oc ob-exp ob-core org-cycle org-fold</div>=
<div>org-fold-core org-compat ob-eval org-version org-macs track-change</di=
v><div>pyvenv eshell esh-cmd generator esh-ext esh-opt esh-proc esh-io esh-=
arg</div><div>esh-module esh-groups esh-util jsonrpc ert ewoc debug backtra=
ce advice</div><div>find-func color indent-tools yafolding s hydra lv</div>=
<div>indent-tools-indentation-of tab-line group-tab-line-mode dbus xml</div=
><div>synctex-dbus derived texlog-mode edmacro kmacro finder-inf pcase</div=
><div>norte-theme cycle-appearance elec-pair hl-line tramp tramp-loaddefs</=
div><div>trampver tramp-integration files-x tramp-compat shell pcomplete co=
mint</div><div>ansi-osc ansi-color ring parse-time iso8601 time-date ls-lis=
p</div><div>format-spec server benchmark use-package use-package-ensure</di=
v><div>use-package-delight use-package-diminish use-package-bind-key bind-k=
ey</div><div>easy-mmode use-package-core go-mode-autoloads indent-tools-aut=
oloads</div><div>exec-path-from-shell-autoloads multiple-cursors-autoloads<=
/div><div>cmake-mode-autoloads clojure-mode-autoloads info company-autoload=
s</div><div>yasnippet-autoloads s-autoloads flymake-yamllint-autoloads</div=
><div>pyvenv-autoloads yaml-pro-autoloads yaml-mode-autoloads</div><div>vis=
ual-regexp-autoloads move-text-autoloads hydra-autoloads lv-autoloads</div>=
<div>yafolding-autoloads yaml-autoloads package browse-url url url-proxy</d=
iv><div>url-privacy url-expand url-methods url-history url-cookie</div><div=
>generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse</div=
><div>auth-source eieio eieio-core password-cache json map byte-opt url-var=
s</div><div>cus-edit pp cus-load wid-edit comp comp-cstr warnings icons sub=
r-x rx</div><div>cl-seq cl-macs gv cl-extra help-mode cl-loaddefs cl-lib by=
tecomp</div><div>byte-compile rmc iso-transl tooltip cconv eldoc paren elec=
tric uniquify</div><div>ediff-hook vc-hooks lisp-float-type elisp-mode mwhe=
el term/x-win x-win</div><div>term/common-win x-dnd tool-bar dnd fontset im=
age regexp-opt fringe</div><div>tabulated-list replace newcomment text-mode=
 lisp-mode prog-mode register</div><div>page tab-bar menu-bar rfn-eshadow i=
search easymenu timer select</div><div>scroll-bar mouse jit-lock font-lock =
syntax font-core term/tty-colors</div><div>frame minibuffer nadvice seq sim=
ple cl-generic indonesian philippine</div><div>cham georgian utf-8-lang mis=
c-lang vietnamese tibetan thai tai-viet lao</div><div>korean japanese eucjp=
-ms cp51932 hebrew greek romanian slovak czech</div><div>european ethiopic =
indian cyrillic chinese composite emoji-zwj charscript</div><div>charprop c=
ase-table epa-hook jka-cmpr-hook help abbrev obarray oclosure</div><div>cl-=
preloaded button loaddefs theme-loaddefs faces cus-face macroexp</div><div>=
files window text-properties overlay sha1 md5 base64 format env</div><div>c=
ode-pages mule custom widget keymap hashtable-print-readable backquote</div=
><div>threads dbusbind inotify dynamic-setting system-font-setting</div><di=
v>font-render-setting cairo move-toolbar gtk x-toolkit xinput2 x multi-tty<=
/div><div>make-network-process native-compile emacs)</div><div><br></div><d=
iv>Memory information:</div><div>((conses 16 531365 25655)</div><div>=C2=A0=
(symbols 48 35148 9)</div><div>=C2=A0(strings 32 155714 6230)</div><div>=C2=
=A0(string-bytes 1 4645865)</div><div>=C2=A0(vectors 16 59951)</div><div>=
=C2=A0(vector-slots 8 1082801 41589)</div><div>=C2=A0(floats 8 282 114)</di=
v><div>=C2=A0(intervals 56 1195 199)</div><div>=C2=A0(buffers 984 22))</div=
></div><div><br></div>-- <br><div dir=3D"ltr" class=3D"gmail_signature"><di=
v dir=3D"ltr"><div><div dir=3D"ltr"><div><div>Fragen sind nicht da um beant=
wortet zu werden,<br></div>Fragen sind da um gestellt zu werden<br></div>Ge=
org Kreisler</div><div><br></div><div>Headaches with a Juju log:</div><div>=
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run =
a leader-deposed hook here, but we can&#39;t yet<br><br></div></div></div><=
/div></div></div></div></div>

--0000000000002f127d05f221db45--




Acknowledgement sent to Pedro Andres Aranda Gutierrez <paaguti@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#60777; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 2 Feb 2023 09:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.